Mail archive
alpine-devel

[alpine-devel] [PATCH] add: add missing package specifier to the error message

From: Consus <consus_at_gmx.com>
Date: Tue, 11 Apr 2017 15:32:08 +0300

---
 src/add.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/src/add.c b/src/add.c
index 2df4dc8..f4695d0 100644
--- a/src/add.c
+++ b/src/add.c
_at_@ -92,7 +92,7 @@ static int add_main(void *ctx, struct apk_database *db, struct apk_string_array
 		if (APK_BLOB_IS_NULL(b) || virtdep.conflict ||
 		    virtdep.result_mask != APK_DEPMASK_ANY ||
 		    virtdep.version != &apk_null_blob) {
-			apk_error("%s: bad package specifier");
+			apk_error("%s: bad package specifier", actx->virtpkg);
 			return -1;
 		}
 
-- 
2.12.2
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Tue Apr 11 2017 - 15:32:08 GMT